- Home
- API Enriched
- Billing And Usage
- web
- InitiatePlanTransition.
InitiatePlanTransition.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/billing/plan_transition';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","new_plan":"example","payload":{"billing_address":{"address1":"example","address2":"example","city":"example","contact_type":"MAILING","country":"example","county":"example","phone_number":"example","state":"example","state_code":"example","zip_code":"example"},"billing_provider_account_id":"example","create_support_ticket":true,"deletion_feedback":"example","deletion_reason":"REASON_UNKNOWN","domain":"example","payment_address":{"address1":"example","address2":"example","city":"example","contact_type":"MAILING","country":"example","county":"example","phone_number":"example","state":"example","state_code":"example","zip_code":"example"},"payment_provider_token":"example","subscribe_addon_services":["example"],"support_ticket_info":"example","tp_subscription_id":"example","unsubscribe_addon_services":["example"]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/billing/plan_transition \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "new_plan": "example", "payload": { "billing_address": { "address1": "example", "address2": "example", "city": "example", "contact_type": "MAILING", "country": "example", "county": "example", "phone_number": "example", "state": "example", "state_code": "example", "zip_code": "example" }, "billing_provider_account_id": "example", "create_support_ticket": true, "deletion_feedback": "example", "deletion_reason": "REASON_UNKNOWN", "domain": "example", "payment_address": { "address1": "example", "address2": "example", "city": "example", "contact_type": "MAILING", "country": "example", "county": "example", "phone_number": "example", "state": "example", "state_code": "example", "zip_code": "example" }, "payment_provider_token": "example", "subscribe_addon_services": [ "example" ], "support_ticket_info": "example", "tp_subscription_id": "example", "unsubscribe_addon_services": [ "example" ] } }'API to create a plan transition request in db.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This namespace is not used, all requests are stored under system namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Request body of InitiatePlanTransition custom API.
object
This namespace is not used, all requests are stored under system namespace.
New plan template name tenant want to move to.
object
object
Network address or location
Network address or location
Configuration parameter for city
Configuration parameter for country
Configuration parameter for county
Configuration parameter for phone number
Current state of the resource
Configuration parameter for state code
IP address configuration
ID of the billing provider account created to verify the billing info provided with this object. The ID is then used to ensure no more duplicate billing account is created. Note: this is set by the backend during the creation of plan_transition object. Anything passed from UI will be ignored.
If set to true, a support ticket will be created to provide the plan transition request.
Feedback from the customer related to reason of account deletion.
Domain for enterprise tenants.
object
Network address or location
Network address or location
Configuration parameter for city
Configuration parameter for country
Configuration parameter for county
Configuration parameter for phone number
Current state of the resource
Configuration parameter for state code
IP address configuration
Payment provider token (for credit card details)
List of addon services that needs to be subscribed/enabled part of this plan transition.
Additional information user want to record part of the support ticket.
ID of the third party subscription ID created. Note: this is set by the backend as part of the notifiers run as the plan_transition object is created.
List of addon services that needs to be unsubscribed/removed part of this plan transition.
Responses
Section titled “Responses”A successful response.
Response body of InitiatePlanTransition custom API.
object
ID of the newly created plan transition request.
Flag to specify whether the request requires manual approval.
Examplegenerated
{ "id": "example", "requires_manual_approval": true}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example